# GitLab CI for building aws-tools job image and pushing to GitLab registry.
# Included via the toplevel .gitlab-ci.yml file.

.aws-default:
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/aws-tools
    THIS_LOCATION: job-images/aws-tools
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  extends: .aws-default
  stage: build
  script:
    - docker build -t $IMAGE_NAME:$CI_COMMIT_SHORT_SHA $THIS_LOCATION
    - docker push $IMAGE_NAME:$CI_COMMIT_SHORT_SHA
   
deploy:
  extends: .aws-default
  stage: deploy
  script:
    - docker pull $IMAGE_NAME:$CI_COMMIT_SHORT_SHA
    - docker tag $IMAGE_NAME:$CI_COMMIT_SHORT_SHA $IMAGE_NAME:latest
    - docker push $IMAGE_NAME:latest
